<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors">Ajustări pentru pierderea din depreciere (reluarea pierderii din depreciere) recunoscută în profit sau pierdere, debitori diverși</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_AdjustmentsForWritteOffOfSundryDebtors">Ajustari pentru pierderi din debitori diverşi</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_BalancingMarketExpense">Cheltuieli privind piaţa de echilibrare</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_BalancingMarketRevenues">Venituri privind piaţa de echilibrare</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_BasicAndDilutedEarningsPerShare">Rezultatul de bază și diluat pe acțiune</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_ImpairmentExpenseTradeReceivables">Cheltuieli cu ajustările pentru deprecierea creanţelor comerciale </link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_IncomeFromProductionOfIntangibleAssetsSupplementalOTC">Venituri din producția de imobilizări necorporale CPT suplimentar</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_LegalReserves">Rezerve legale</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_MaterialAndConsumableExpense">Cheltuieli cu materiale şi consumabile</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_OtherComponentsSoce">Alte elemente SOCE</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_ProceedsFromShortTermBorrowingsSmartCreditLine">Utilizare Linie De Credit Smart</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine">Utilizare Linie De Credit Capital De Lucru</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_RepaymentsOfBorrowingsLongTerm">Rambursări împrumuturi pe termen lung</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_SystemOperationExpense">Cheltuieli pentru operarea sistemului</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_SystemServicesExpense">Cheltuieli privind serviciile de sistem tehnologice</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_SystemServicesIncome">Venituri din servicii de sistem</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_TaxLiabilitiesAndSocialContributions">Alte impozite și contribuții sociale pentru angajați</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_TotalOtherComponents">Total alte elemente</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_TransmissionIncome">Venituri din serviciul de transport</link:label>
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" xlink:label="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_AdjustmentsForWritteOffOfSundryDebtors" xlink:label="AdjustmentsForWritteOffOfSundryDebtors" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_BalancingMarketExpense" xlink:label="BalancingMarketExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_BalancingMarketRevenues" xlink:label="BalancingMarketRevenues" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_BasicAndDilutedEarningsPerShare" xlink:label="BasicAndDilutedEarningsPerShare" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_ImpairmentExpenseTradeReceivables" xlink:label="ImpairmentExpenseTradeReceivables" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_IncomeFromProductionOfIntangibleAssetsSupplementalOTC" xlink:label="IncomeFromProductionOfIntangibleAssetsSupplementalOTC" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_LegalReserves" xlink:label="LegalReserves" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_MaterialAndConsumableExpense" xlink:label="MaterialAndConsumableExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_OtherComponentsSoce" xlink:label="OtherComponentsSoce" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_ProceedsFromShortTermBorrowingsSmartCreditLine" xlink:label="ProceedsFromShortTermBorrowingsSmartCreditLine" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" xlink:label="ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_RepaymentsOfBorrowingsLongTerm" xlink:label="RepaymentsOfBorrowingsLongTerm" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_SystemOperationExpense" xlink:label="SystemOperationExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_SystemServicesExpense" xlink:label="SystemServicesExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_SystemServicesIncome" xlink:label="SystemServicesIncome" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_TaxLiabilitiesAndSocialContributions" xlink:label="TaxLiabilitiesAndSocialContributions" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_TotalOtherComponents" xlink:label="TotalOtherComponents" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_TransmissionIncome" xlink:label="TransmissionIncome" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" xlink:to="label_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForWritteOffOfSundryDebtors" xlink:to="label_AdjustmentsForWritteOffOfSundryDebtors" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BalancingMarketExpense" xlink:to="label_BalancingMarketExpense" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BalancingMarketRevenues" xlink:to="label_BalancingMarketRevenues" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicAndDilutedEarningsPerShare" xlink:to="label_BasicAndDilutedEarningsPerShare" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ImpairmentExpenseTradeReceivables" xlink:to="label_ImpairmentExpenseTradeReceivables" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeFromProductionOfIntangibleAssetsSupplementalOTC" xlink:to="label_IncomeFromProductionOfIntangibleAssetsSupplementalOTC" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LegalReserves" xlink:to="label_LegalReserves" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MaterialAndConsumableExpense" xlink:to="label_MaterialAndConsumableExpense" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComponentsSoce" xlink:to="label_OtherComponentsSoce" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromShortTermBorrowingsSmartCreditLine" xlink:to="label_ProceedsFromShortTermBorrowingsSmartCreditLine" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" xlink:to="label_ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepaymentsOfBorrowingsLongTerm" xlink:to="label_RepaymentsOfBorrowingsLongTerm" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SystemOperationExpense" xlink:to="label_SystemOperationExpense" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SystemServicesExpense" xlink:to="label_SystemServicesExpense" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SystemServicesIncome" xlink:to="label_SystemServicesIncome" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TaxLiabilitiesAndSocialContributions" xlink:to="label_TaxLiabilitiesAndSocialContributions" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalOtherComponents" xlink:to="label_TotalOtherComponents" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransmissionIncome" xlink:to="label_TransmissionIncome" order="1" />
  </link:labelLink>
</link:linkbase>